diff --git a/game/client/src/main/java/net/minecraft/client/Minecraft.java b/game/client/src/main/java/net/minecraft/client/Minecraft.java
index 47e0448d2..c29583770 100644
--- a/game/client/src/main/java/net/minecraft/client/Minecraft.java
+++ b/game/client/src/main/java/net/minecraft/client/Minecraft.java
@@ -2323,127 +2138,109 @@ public class Minecraft
         }
     }
 
-    public void startWorld(String worldDirName)
-    {
+    public void startWorld(String worldDirName) {
         changeWorld(null);
         System.gc();
 
         int worldSaveVersion = 0;
 
-        try
-        {
-            LevelData info = new LevelData(new File(mcDataDir, "saves/" + worldDirName));
+        try {
+            LevelData info = new LevelData(new File(this.mcDataDir, "saves/" + worldDirName));
             worldSaveVersion = info.getSaveVersion();
-        }
-        catch (IOException e)
-        {
-            worldSaveVersion = saveFormat.getSaveVersion();
+        } catch (IOException e) {
+            worldSaveVersion = this.saveFormat.getSaveVersion();
         }
 
-        if(worldSaveVersion < CURRENT_SAVE_VERSION)
-        {
+        if (worldSaveVersion < CURRENT_SAVE_VERSION) {
             convertSaveVersion(worldSaveVersion, worldDirName);
-        }
-        else
-        {
+        } else {
             I18n i18n = I18n.getInstance();
-            LevelStorage saveHandler = saveFormat.getSaveHandler(worldDirName, false);
+            LevelStorage saveHandler = this.saveFormat.getSaveHandler(worldDirName, false);
             Dimension dimension = null;
-            CompoundTag tag = saveHandler.getPlayerData(session.username, session.uuid);
+            CompoundTag tag = saveHandler.getPlayerData(this.session.username, this.session.uuid);
             if (tag != null) {
                 dimension = Dimension.getDimensionList().get(tag.getInteger("Dimension"));
             }
 
             WorldClient world = new WorldClient(saveHandler, null, 0L, dimension, null);
-            statsCounter.add(StatList.loadWorldStat, 1);
-            statsCounter.add(StatList.startGameStat, 1);
+            this.statsCounter.add(StatList.loadWorldStat, 1);
+            this.statsCounter.add(StatList.startGameStat, 1);
             changeWorld(world, i18n.translateKey("gui.loading.label.loading"));
         }
     }
 
-    public void usePortal(int dim, @Nullable DyeColor portalColor)
-    {
-        Dimension lastDim = Dimension.getDimensionList().get(thePlayer.dimension);
+    public void usePortal(int dim, @Nullable DyeColor portalColor) {
+        Dimension lastDim = Dimension.getDimensionList().get(this.thePlayer.dimension);
         Dimension newDim = Dimension.getDimensionList().get(dim);
         LOGGER.info("Switching to dimension \"{}\"!!", newDim.getTranslatedName());
-        thePlayer.dimension = dim;
-        currentWorld.setEntityDead(thePlayer);
-        thePlayer.removed = false;
-        double x = thePlayer.x;
-        double z = thePlayer.z;
-        double y = thePlayer.y;
+        this.thePlayer.dimension = dim;
+        this.currentWorld.setEntityDead(this.thePlayer);
+        this.thePlayer.removed = false;
+        double x = this.thePlayer.x;
+        double z = this.thePlayer.z;
+        double y = this.thePlayer.y;
 
         x *= Dimension.getCoordScale(lastDim, newDim);
         z *= Dimension.getCoordScale(lastDim, newDim);
-        thePlayer.moveTo(x, y, z, thePlayer.yRot, thePlayer.xRot);
+        this.thePlayer.moveTo(x, y, z, this.thePlayer.yRot, this.thePlayer.xRot);
         ChunkCoordinates newCoordinates = new ChunkCoordinates(MathHelper.floor(x), MathHelper.floor(y), MathHelper.floor(z));
         if (this.thePlayer.isAlive() && this.thePlayer.dimensionEnterCoordinate != null) {
-            double dx = thePlayer.dimensionEnterCoordinate.x - x;
-            double dy = thePlayer.dimensionEnterCoordinate.y - y;
-            double dz = thePlayer.dimensionEnterCoordinate.z - z;
+            double dx = this.thePlayer.dimensionEnterCoordinate.x - x;
+            double dy = this.thePlayer.dimensionEnterCoordinate.y - y;
+            double dz = this.thePlayer.dimensionEnterCoordinate.z - z;
             double distSqr = (dx * dx) + (dy * dy) + (dz * dz);
             if (distSqr > 8000 * 8000) {
-                thePlayer.addStat(Achievements.FAST_TRAVEL, 1);
+                this.thePlayer.addStat(Achievements.FAST_TRAVEL, 1);
             }
         }
-        thePlayer.dimensionEnterCoordinate = newCoordinates;
-        if(thePlayer.isAlive())
-        {
-            currentWorld.updateEntityWithOptionalForce(thePlayer, false);
+        this.thePlayer.dimensionEnterCoordinate = newCoordinates;
+        if (this.thePlayer.isAlive()) {
+            this.currentWorld.updateEntityWithOptionalForce(this.thePlayer, false);
         }
-        WorldClient world = new WorldClient(currentWorld, newDim);
+        WorldClient world = new WorldClient(this.currentWorld, newDim);
 
         I18n i18n = I18n.getInstance();
-        if (newDim == lastDim.homeDim)
-        {
-            changeWorld(world, i18n.translateKeyAndFormat("gui.loading.label.leaving", lastDim.getTranslatedName()), thePlayer);
-        }
-        else
-        {
-            changeWorld(world, i18n.translateKeyAndFormat("gui.loading.label.entering", newDim.getTranslatedName()), thePlayer);
+        if (newDim == lastDim.homeDim) {
+            changeWorld(world, i18n.translateKeyAndFormat("gui.loading.label.leaving", lastDim.getTranslatedName()), this.thePlayer);
+        } else {
+            changeWorld(world, i18n.translateKeyAndFormat("gui.loading.label.entering", newDim.getTranslatedName()), this.thePlayer);
         }
 
-        thePlayer.world = currentWorld;
-        if(thePlayer.isAlive())
-        {
-            thePlayer.moveTo(x, y, z, thePlayer.yRot, thePlayer.xRot);
-            currentWorld.updateEntityWithOptionalForce(thePlayer, false);
-            (new PortalHandler()).teleportEntity(currentWorld, thePlayer, portalColor, lastDim, newDim);
+        this.thePlayer.world = this.currentWorld;
+        if (this.thePlayer.isAlive()) {
+            this.thePlayer.moveTo(x, y, z, this.thePlayer.yRot, this.thePlayer.xRot);
+            this.currentWorld.updateEntityWithOptionalForce(this.thePlayer, false);
+            (new PortalHandler()).teleportEntity(this.currentWorld, this.thePlayer, portalColor, lastDim, newDim);
         }
     }
 
-    public void changeWorld(WorldClient world)
-    {
+    public void changeWorld(WorldClient world) {
         changeWorld(world, "");
     }
 
-    public void changeWorld(WorldClient world, String loadingTitle)
-    {
+    public void changeWorld(WorldClient world, String loadingTitle) {
         changeWorld(world, loadingTitle, null);
     }
 
-    public void changeWorld(WorldClient world, String loadingTitle, @Nullable Player player)
-    {
-    	mainMenuBackground.deleteTextures();
-    	gameSettings.showCollisionBoxes.value = false;
+    public void changeWorld(WorldClient world, String loadingTitle, @Nullable Player player) {
+        this.mainMenuBackground.deleteTextures();
+        this.gameSettings.showCollisionBoxes.value = false;
 
-        fullbright = false;
-        statsCounter.fetchStats();
-        statsCounter.saveStats();
+        this.fullbright = false;
+        this.statsCounter.fetchStats();
+        this.statsCounter.saveStats();
 
-        if (world != null)
-        {
-            loadingScreen.updateLoadingBackground(world.dimension);
-            loadingScreen.progressStart(loadingTitle);
-            loadingScreen.progressStage("");
+        if (world != null) {
+            this.loadingScreen.updateLoadingBackground(world.dimension);
+            this.loadingScreen.progressStart(loadingTitle);
+            this.loadingScreen.progressStage("");
         }
 
-        sndManager.stopMusic();
-        if(currentWorld != null)
-        {
-            currentWorld.saveWorldIndirectly(loadingScreen);
-            if (currentWorld.saveHandler != null) {
-                IChunkLoader loader = currentWorld.saveHandler.getChunkLoader(currentWorld.dimension);
+        this.sndManager.stopMusic();
+        if (this.currentWorld != null) {
+            this.currentWorld.saveWorldIndirectly(this.loadingScreen);
+            if (this.currentWorld.saveHandler != null) {
+                IChunkLoader loader = this.currentWorld.saveHandler.getChunkLoader(this.currentWorld.dimension);
                 if (loader != null) {
                     while (loader.isSaving()) {
                         try {
@@ -2453,110 +2250,92 @@ public class Minecraft
                         }
                     }
                 }
-                currentWorld.getChunkProvider().unloadAllChunks();
-                currentWorld.onUnload();
-                currentWorld.close();
+                this.currentWorld.getChunkProvider().unloadAllChunks();
+                this.currentWorld.onUnload();
+                this.currentWorld.close();
                 if (player != null) {
-                    currentWorld.saveHandler.save(player);
+                    this.currentWorld.saveHandler.save(player);
                 }
             }
         }
-        currentWorld = world;
-        if(currentWorld != null) {
+        this.currentWorld = world;
+        if (this.currentWorld != null) {
             Colorizers.update(true);
         }
-        if(world != null)
-        {
-            playerController.initWorld(world);
-            if(!isMultiplayerWorld())
-            {
-                if(player == null)
-                {
-                    thePlayer = null;
+        if (world != null) {
+            this.playerController.initWorld(world);
+            if (!isMultiplayerWorld()) {
+                if (player == null) {
+                    this.thePlayer = null;
                 }
+            } else if (this.thePlayer != null) {
+                this.thePlayer.resetPos();
+                world.entityJoinedWorld(this.thePlayer);
             }
-            else if(thePlayer != null)
-            {
-                thePlayer.resetPos();
-                world.entityJoinedWorld(thePlayer);
-            }
-            if(!world.isClientSide)
-            {
+            if (!world.isClientSide) {
                 prepareLevel(loadingTitle);
             }
-            if(thePlayer == null)
-            {
-                thePlayer = (PlayerLocal)playerController.createPlayer(world);
-                thePlayer.resetPos();
-                playerController.initPlayer(thePlayer);
+            if (this.thePlayer == null) {
+                this.thePlayer = (PlayerLocal) this.playerController.createPlayer(world);
+                this.thePlayer.resetPos();
+                this.playerController.initPlayer(this.thePlayer);
             }
-            thePlayer.input = new PlayerInput(this);
-            if(renderGlobal != null)
-            {
-                renderGlobal.setWorld(world);
+            this.thePlayer.input = new PlayerInput(this);
+            if (this.renderGlobal != null) {
+                this.renderGlobal.setWorld(world);
             }
-            if(particleEngine != null)
-            {
-                particleEngine.setWorld(world);
+            if (this.particleEngine != null) {
+                this.particleEngine.setWorld(world);
             }
-            playerController.adjustPlayer(thePlayer);
+            this.playerController.adjustPlayer(this.thePlayer);
             IChunkProvider ichunkprovider = world.getChunkProvider();
-            int i = MathHelper.floor_float((int)thePlayer.x) >> 4;
-            int j = MathHelper.floor_float((int)thePlayer.z) >> 4;
+            int i = MathHelper.floor_float((int) this.thePlayer.x) >> 4;
+            int j = MathHelper.floor_float((int) this.thePlayer.z) >> 4;
             ichunkprovider.setCurrentChunkOver(i, j);
-            world.spawnPlayerWithLoadedChunks(thePlayer, false);
-            if(world.isNewWorld)
-            {
-                world.saveWorldIndirectly(loadingScreen);
+            world.spawnPlayerWithLoadedChunks(this.thePlayer, false);
+            if (world.isNewWorld) {
+                world.saveWorldIndirectly(this.loadingScreen);
             }
-            activeCamera = new EntityCameraFirstPerson(this, thePlayer);
-            thePlayer.syncPlacementMode();
-        } else
-        {
-            thePlayer = null;
+            this.activeCamera = new EntityCameraFirstPerson(this, this.thePlayer);
+            this.thePlayer.syncPlacementMode();
+        } else {
+            this.thePlayer = null;
         }
         System.gc();
-        systemTime = 0L;
+        this.systemTime = 0L;
         if (world != null) {
-            loadingScreen.progressStop();
+            this.loadingScreen.progressStop();
         }
-        worldRenderer.lightmapHelper.setup();
+        this.worldRenderer.lightmapHelper.setup();
     }
 
-    private void convertSaveVersion(int fromVersion, String worldDirName)
-    {
-        ISaveFormat fromWorldFormat = SaveFormats.createSaveFormat(fromVersion, new File(mcDataDir, "saves"));
+    private void convertSaveVersion(int fromVersion, String worldDirName) {
+        ISaveFormat fromWorldFormat = SaveFormats.createSaveFormat(fromVersion, new File(this.mcDataDir, "saves"));
 
-        if (fromWorldFormat != null)
-        {
+        if (fromWorldFormat != null) {
             // Get highest converter
             ISaveConverter converterToUse = null;
-            for (ISaveConverter converter : SaveConverters.saveConverters)
-            {
-                if (converter.fromVersion() == fromVersion)
-                {
-                    if (converterToUse == null || converter.toVersion() > converterToUse.toVersion())
-                    {
+            for (ISaveConverter converter : SaveConverters.saveConverters) {
+                if (converter.fromVersion() == fromVersion) {
+                    if (converterToUse == null || converter.toVersion() > converterToUse.toVersion()) {
                         converterToUse = converter;
                     }
                 }
             }
 
-            if (converterToUse != null)
-            {
-                ISaveFormat toWorldFormat = SaveFormats.createSaveFormat(converterToUse.toVersion(), new File(mcDataDir, "saves"));
+            if (converterToUse != null) {
+                ISaveFormat toWorldFormat = SaveFormats.createSaveFormat(converterToUse.toVersion(), new File(this.mcDataDir, "saves"));
 
-                if (toWorldFormat != null)
-                {
-                    loadingScreen.updateLoadingBackground(null);
-                    loadingScreen.progressStartNoAbort("Converting world from " + fromWorldFormat.getFormatName() + " to " + toWorldFormat.getFormatName() + ".");
-                    loadingScreen.progressStage("This may take a while :)");
+                if (toWorldFormat != null) {
+                    this.loadingScreen.updateLoadingBackground(null);
+                    this.loadingScreen.progressStartNoAbort("Converting world from " + fromWorldFormat.getFormatName() + " to " + toWorldFormat.getFormatName() + ".");
+                    this.loadingScreen.progressStage("This may take a while :)");
 
                     CompoundTag levelDataTag = toWorldFormat.getLevelDataRaw(worldDirName);
 
-                    converterToUse.convertSave(levelDataTag, new File(mcDataDir, "saves"), worldDirName, loadingScreen);
+                    converterToUse.convertSave(levelDataTag, new File(this.mcDataDir, "saves"), worldDirName, this.loadingScreen);
 
-                    loadingScreen.progressStop();
+                    this.loadingScreen.progressStop();
 
                     levelDataTag.putInt("version", toWorldFormat.getSaveVersion());
 
@@ -2569,38 +2348,34 @@ public class Minecraft
         }
     }
 
-    private void prepareLevel(String loadingTitle)
-    {
-        loadingScreen.updateLoadingBackground(currentWorld.dimension);
-        loadingScreen.progressStartNoAbort(loadingTitle);
-        loadingScreen.progressStage("Building terrain");
+    private void prepareLevel(String loadingTitle) {
+        this.loadingScreen.updateLoadingBackground(this.currentWorld.dimension);
+        this.loadingScreen.progressStartNoAbort(loadingTitle);
+        this.loadingScreen.progressStage("Building terrain");
         char c = 128;
         int i = 0;
         int j = (c * 2) / 16 + 1;
         j *= j;
-        IChunkProvider ichunkprovider = currentWorld.getChunkProvider();
-        TilePos spawnPoint = currentWorld.getSpawnPoint();
-        if(thePlayer != null)
-        {
-            spawnPoint.x = (int)thePlayer.x;
-            spawnPoint.z = (int)thePlayer.z;
+        IChunkProvider ichunkprovider = this.currentWorld.getChunkProvider();
+        TilePos spawnPoint = this.currentWorld.getSpawnPoint();
+        if (this.thePlayer != null) {
+            spawnPoint.x = (int) this.thePlayer.x;
+            spawnPoint.z = (int) this.thePlayer.z;
         }
         ichunkprovider.setCurrentChunkOver(Math.floorDiv(spawnPoint.x, Chunk.CHUNK_SIZE_X), Math.floorDiv(spawnPoint.z, Chunk.CHUNK_SIZE_Z));
-        for(int k = -c; k <= c; k += Chunk.CHUNK_SIZE_X)
-        {
-            for(int l = -c; l <= c; l += Chunk.CHUNK_SIZE_Z)
-            {
-                loadingScreen.progressStagePercentage((i++ * 100) / j);
-                currentWorld.getBlockId(spawnPoint.x + k, 64, spawnPoint.z + l);
+        for (int k = -c; k <= c; k += Chunk.CHUNK_SIZE_X) {
+            for (int l = -c; l <= c; l += Chunk.CHUNK_SIZE_Z) {
+                this.loadingScreen.progressStagePercentage((i++ * 100) / j);
+                this.currentWorld.getBlockId(spawnPoint.x + k, 64, spawnPoint.z + l);
             }
         }
-        loadingScreen.progressStage("Updating Lights");
+        this.loadingScreen.progressStage("Updating Lights");
         int count = this.currentWorld.getLightingEngine().pendingUpdates();
 
         int v = 0;
-        while (currentWorld.updatingLighting()) {
+        while (this.currentWorld.updatingLighting()) {
             v++;
-            loadingScreen.progressStagePercentage((Math.min(v, count) * 100) / count);
+            this.loadingScreen.progressStagePercentage((Math.min(v, count) * 100) / count);
 
             if (v >= 10000) {
                 LOGGER.error("Updating lights took to long panic skipping!");
@@ -2609,36 +2384,30 @@ public class Minecraft
             }
         }
 
-        loadingScreen.progressStage("Simulating world for a bit...");
-        loadingScreen.progressStop();
-        currentWorld.dropOldChunks();
+        this.loadingScreen.progressStage("Simulating world for a bit...");
+        this.loadingScreen.progressStop();
+        this.currentWorld.dropOldChunks();
     }
 
-    public String getRendererDebugInfo()
-    {
-        return renderGlobal.getRendererDebugInfo();
+    public String getRendererDebugInfo() {
+        return this.renderGlobal.getRendererDebugInfo();
     }
 
-    public String getEntityDebugInfoString()
-    {
-        return renderGlobal.getEntityDebugInfo();
+    public String getEntityDebugInfoString() {
+        return this.renderGlobal.getEntityDebugInfo();
     }
 
-    public String getChunkProviderInfoString()
-    {
-        return currentWorld.getChunkProviderInfoString();
+    public String getChunkProviderInfoString() {
+        return this.currentWorld.getChunkProviderInfoString();
     }
-    
-    public String getEntityCountsInfoString()
-    {
-        return "P: " + particleEngine.countParticles() + ". T: " + currentWorld.getNumLoadedEntitiesString();
+
+    public String getEntityCountsInfoString() {
+        return "P: " + this.particleEngine.countParticles() + ". T: " + this.currentWorld.getNumLoadedEntitiesString();
     }
 
-    public void respawn(boolean multiplayer, int targetDimension)
-    {
-    	@Nullable Player previousPlayer = thePlayer;
-        if(!currentWorld.isClientSide && !currentWorld.dimension.defaultWorldType.mayRespawn())
-        {
+    public void respawn(boolean multiplayer, int targetDimension) {
+        @Nullable Player previousPlayer = this.thePlayer;
+        if (!this.currentWorld.isClientSide && !this.currentWorld.dimension.defaultWorldType.mayRespawn()) {
             usePortal(targetDimension, null);
         }
 
@@ -2646,96 +2415,85 @@ public class Minecraft
         TilePos bedSpawnCoordinates = null;
         TilePos lastDeathCoordinates = null;
         boolean canRespawnAtBed = true;
-        if(thePlayer != null && !multiplayer)
-        {
-            spawnCoordinates = thePlayer.getPlayerSpawnPoint();
-            lastDeathCoordinates = thePlayer.getLastDeathPoint();
-            if(spawnCoordinates != null)
-            {
-                bedSpawnCoordinates = Player.getValidBedSpawnCoordinates(currentWorld, spawnCoordinates);
-                if(bedSpawnCoordinates == null)
-                {
-                    thePlayer.sendTranslatedChatMessage("bed.notValid");
+        if (this.thePlayer != null && !multiplayer) {
+            spawnCoordinates = this.thePlayer.getPlayerSpawnPoint();
+            lastDeathCoordinates = this.thePlayer.getLastDeathPoint();
+            if (spawnCoordinates != null) {
+                bedSpawnCoordinates = Player.getValidBedSpawnCoordinates(this.currentWorld, spawnCoordinates);
+                if (bedSpawnCoordinates == null) {
+                    this.thePlayer.sendTranslatedChatMessage("bed.notValid");
                 }
             }
         }
-        if(bedSpawnCoordinates == null)
-        {
-            bedSpawnCoordinates = currentWorld.getSpawnPoint();
+        if (bedSpawnCoordinates == null) {
+            bedSpawnCoordinates = this.currentWorld.getSpawnPoint();
             canRespawnAtBed = false;
         }
-        IChunkProvider ichunkprovider = currentWorld.getChunkProvider();
+        IChunkProvider ichunkprovider = this.currentWorld.getChunkProvider();
         ichunkprovider.setCurrentChunkOver(bedSpawnCoordinates.x >> 4, bedSpawnCoordinates.z >> 4);
-        currentWorld.getRespawnLocation();
-        currentWorld.updateEntityList();
+        this.currentWorld.getRespawnLocation();
+        this.currentWorld.updateEntityList();
         int j = 0;
         Gamemode playerGamemode = Gamemode.survival;
-        if(thePlayer != null)
-        {
-            j = thePlayer.id;
-            currentWorld.setEntityDead(thePlayer);
-            playerGamemode = thePlayer.getGamemode();
-        }
-        thePlayer = (PlayerLocal)playerController.createPlayer(currentWorld);
-        thePlayer.dimension = targetDimension;
-        thePlayer.setGamemode(playerGamemode);
+        if (this.thePlayer != null) {
+            j = this.thePlayer.id;
+            this.currentWorld.setEntityDead(this.thePlayer);
+            playerGamemode = this.thePlayer.getGamemode();
+        }
+        this.thePlayer = (PlayerLocal) this.playerController.createPlayer(this.currentWorld);
+        this.thePlayer.dimension = targetDimension;
+        this.thePlayer.setGamemode(playerGamemode);
         if (previousPlayer != null && previousPlayer.getHeldObject() != null) {
-            thePlayer.setHeldObject(previousPlayer.getHeldObject());
-            thePlayer.inventory.setCurrentItemIndex(previousPlayer.inventory.getCurrentItemIndex(), true);
-            thePlayer.inventory.setHotbarOffset(previousPlayer.inventory.getHotbarOffset(), true);
-        }
-        activeCamera = new EntityCameraFirstPerson(this, thePlayer);
-        thePlayer.resetPos();
-        
-        if(previousPlayer != null) {
-            thePlayer.messageHistory = previousPlayer.messageHistory;
-        	if(!currentWorld.isClientSide) {
-        		thePlayer.inventory.transferAllContents(previousPlayer.inventory);
-        	}
-        }
-        
-        if(canRespawnAtBed)
-        {
-            thePlayer.setPlayerSpawnPoint(spawnCoordinates);
-            thePlayer.moveTo((float)bedSpawnCoordinates.x + 0.5F, (float)bedSpawnCoordinates.y + 0.1F, (float)bedSpawnCoordinates.z + 0.5F, 0.0F, 0.0F);
-        }
-        thePlayer.setLastDeathPoint(lastDeathCoordinates);
-        playerController.initPlayer(thePlayer);
-        currentWorld.spawnPlayerWithLoadedChunks(thePlayer, true);
-        thePlayer.input = new PlayerInput(this);
-        thePlayer.id = j;
-        thePlayer.animate4();
-        playerController.adjustPlayer(thePlayer);
+            this.thePlayer.setHeldObject(previousPlayer.getHeldObject());
+            this.thePlayer.inventory.setCurrentItemIndex(previousPlayer.inventory.getCurrentItemIndex(), true);
+            this.thePlayer.inventory.setHotbarOffset(previousPlayer.inventory.getHotbarOffset(), true);
+        }
+        this.activeCamera = new EntityCameraFirstPerson(this, this.thePlayer);
+        this.thePlayer.resetPos();
+
+        if (previousPlayer != null) {
+            this.thePlayer.messageHistory = previousPlayer.messageHistory;
+            if (!this.currentWorld.isClientSide) {
+                this.thePlayer.inventory.transferAllContents(previousPlayer.inventory);
+            }
+        }
+
+        if (canRespawnAtBed) {
+            this.thePlayer.setPlayerSpawnPoint(spawnCoordinates);
+            this.thePlayer.moveTo((float) bedSpawnCoordinates.x + 0.5F, (float) bedSpawnCoordinates.y + 0.1F, (float) bedSpawnCoordinates.z + 0.5F, 0.0F, 0.0F);
+        }
+        this.thePlayer.setLastDeathPoint(lastDeathCoordinates);
+        this.playerController.initPlayer(this.thePlayer);
+        this.currentWorld.spawnPlayerWithLoadedChunks(this.thePlayer, true);
+        this.thePlayer.input = new PlayerInput(this);
+        this.thePlayer.id = j;
+        this.thePlayer.animate4();
+        this.playerController.adjustPlayer(this.thePlayer);
         prepareLevel("Respawning");
-        if(currentScreen instanceof ScreenGameOver)
-        {
+        if (this.currentScreen instanceof ScreenGameOver) {
             displayScreen(null);
         }
     }
 
-    public PacketHandlerClient getSendQueue()
-    {
-        if(thePlayer instanceof PlayerLocalMultiplayer)
-        {
-            return ((PlayerLocalMultiplayer)thePlayer).sendQueue;
-        } else
-        {
+    public PacketHandlerClient getSendQueue() {
+        if (this.thePlayer instanceof PlayerLocalMultiplayer) {
+            return ((PlayerLocalMultiplayer) this.thePlayer).sendQueue;
+        } else {
             return null;
         }
     }
-    
+
     public void setRenderer(Renderer renderer) {
-        if(this.renderer != null) {
+        if (this.renderer != null) {
             this.renderer.delete();
         }
         this.renderer = renderer;
         this.renderer.reload();
     }
 
-    public static void startMainThread(@Nullable String username, @Nullable String sessionId, @Nullable String uuid, @Nullable String server, @Nullable Integer port, @Nullable Integer width, @Nullable Integer height, @Nullable File mcDataDir)
-    {
+    public static void startMainThread(@Nullable String username, @Nullable String sessionId, @Nullable String uuid, @Nullable String server, @Nullable Integer port, @Nullable Integer width, @Nullable Integer height, @Nullable File mcDataDir) {
         GameWindow gameWindow = new GameWindowGLFW();
-        Minecraft mc = new Minecraft(mcDataDir == null ? getAppDir("minecraft-bta"): mcDataDir, gameWindow,false);
+        Minecraft mc = new Minecraft(mcDataDir == null ? getAppDir("minecraft-bta") : mcDataDir, gameWindow, false);
         mc.minecraftUri = "www.minecraft.net";
 
         username = username == null ? "Player" + System.currentTimeMillis() % 1000L : username;
@@ -2764,8 +2522,7 @@ public class Minecraft
         mc.run();
     }
 
-    public static void main(String[] args)
-    {
+    public static void main(String[] args) {
         STARTUP_TIKE_KEEPER.start("Startup");
         ImageIO.setUseCache(false); // Speeds up boot time
         checkLwjglVersion();
@@ -2890,21 +2647,21 @@ public class Minecraft
 
         startMainThread(playerName, sessionId, uuid, server, port, width, height, gameDirectory);
     }
-    
+
     public void setInputType(InputType inputType) {
-        if(inputType != this.inputType) {
+        if (inputType != this.inputType) {
             LOGGER.info("Set input type to {}", inputType.name());
         }
         this.inputType = inputType;
-        if(inputType == InputType.CONTROLLER) {
-            mouseInput.grabCursor();
+        if (inputType == InputType.CONTROLLER) {
+            this.mouseInput.grabCursor();
         }
-        if(inputType == InputType.KEYBOARD) {
-            if(inGameHasFocus && !Mouse.isGrabbed()) {
-                mouseInput.grabCursor();
+        if (inputType == InputType.KEYBOARD) {
+            if (this.inGameHasFocus && !Mouse.isGrabbed()) {
+                this.mouseInput.grabCursor();
             }
-            if(!inGameHasFocus && Mouse.isGrabbed()) {
-                mouseInput.releaseCursor();
+            if (!this.inGameHasFocus && Mouse.isGrabbed()) {
+                this.mouseInput.releaseCursor();
             }
         }
     }
@@ -2912,7 +2669,7 @@ public class Minecraft
 
     @Override
     public SkinVariantList getSkinVariantList() {
-        return skinVariantList;
+        return this.skinVariantList;
     }
 
     @Override
@@ -2920,40 +2677,34 @@ public class Minecraft
         return SoundRepository.allKeys;
     }
 
-    public boolean isAmbientOcclusionEnabled()
-    {
-        return gameSettings.ambientOcclusion.value;
+    public boolean isAmbientOcclusionEnabled() {
+        return this.gameSettings.ambientOcclusion.value;
     }
 
-    public boolean isTreeShadingEnabled()
-    {
-        return gameSettings.treeShadows.value;
+    public boolean isTreeShadingEnabled() {
+        return this.gameSettings.treeShadows.value;
     }
 
-    public boolean isDebugInfoEnabled()
-    {
-        return gameSettings.showDebugScreen.value;
+    public boolean isDebugInfoEnabled() {
+        return this.gameSettings.showDebugScreen.value;
     }
-    
+
     @Override
-    public boolean isFullbrightEnabled()
-    {
-    	return fullbright;
+    public boolean isFullbrightEnabled() {
+        return this.fullbright;
     }
 
-    public boolean canRenderEntityLabel()
-    {
-        return isDebugInfoEnabled() && thePlayer != null && thePlayer.getGamemode() == Gamemode.creative;
+    public boolean canRenderEntityLabel() {
+        return isDebugInfoEnabled() && this.thePlayer != null && this.thePlayer.getGamemode() == Gamemode.creative;
     }
-    
+
     public float getOutlineWidth() {
         return INSTANCE.gameSettings.blockOutlineWidth.value;
     }
 
-    public int getAutosaveTimer()
-    {
+    public int getAutosaveTimer() {
 
-        return INSTANCE != null? (int) (INSTANCE.gameSettings.autosaveTimer.value * 24) * 5 : 0;
+        return (int) (INSTANCE.gameSettings.autosaveTimer.value * 24) * 5;
     }
 
     @Override
@@ -3000,7 +2751,7 @@ public class Minecraft
                 }
                 final long start = this.startTimes.getLong(s);
                 final long end = this.endTimes.getLong(s);
-                builder.append("\n\t").append(s).append(": ").append((end - start)/1000d).append("s");
+                builder.append("\n\t").append(s).append(": ").append((end - start) / 1000d).append("s");
             }
             return builder.toString();
         }
